Modifier un scénario
curl --request PATCH \
--url https://api.setteo.io/v1/scenarios/{scenario} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Qualification WhatsApp",
"platform": "whatsapp",
"provider": "meta",
"nodes": [
{
"id": "start",
"type": "trigger"
}
],
"edges": [
{
"source": "start",
"target": "message_1"
}
],
"is_active": true
}
'import requests
url = "https://api.setteo.io/v1/scenarios/{scenario}"
payload = {
"name": "Qualification WhatsApp",
"platform": "whatsapp",
"provider": "meta",
"nodes": [
{
"id": "start",
"type": "trigger"
}
],
"edges": [
{
"source": "start",
"target": "message_1"
}
],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Qualification WhatsApp',
platform: 'whatsapp',
provider: 'meta',
nodes: [{id: 'start', type: 'trigger'}],
edges: [{source: 'start', target: 'message_1'}],
is_active: true
})
};
fetch('https://api.setteo.io/v1/scenarios/{scenario}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 5,
"name": "Qualification WhatsApp",
"platform": "whatsapp",
"provider": "meta",
"nodes": [
{
"id": "start",
"type": "trigger"
}
],
"edges": [
{
"source": "start",
"target": "message_1"
}
],
"is_active": true,
"tracked_tag_ids": [
1,
2
],
"webhook_url": "https://app.setteo.io/webhooks/scenarios/abc123",
"created_at": "2026-07-08T12:00:00Z",
"updated_at": "2026-07-08T12:00:00Z"
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"phone": [
"The phone has already been taken."
]
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Scenarios
Modifier un scénario
Met à jour partiellement un scénario.
PATCH
/
v1
/
scenarios
/
{scenario}
Modifier un scénario
Authorizations
Token API généré depuis votre espace de travail Setteo.
Path Parameters
Identifiant du scénario.
Example:
1
Body
application/json
Maximum string length:
255Example:
"Qualification WhatsApp"
Available options:
whatsapp, instagram Example:
"whatsapp"
Maximum string length:
255Example:
"meta"
Example:
[{ "id": "start", "type": "trigger" }]Example:
[
{ "source": "start", "target": "message_1" }
]Example:
true
Response
Scénario mis à jour.
Show child attributes
Show child attributes
⌘I